package org.baxter.disco.ocr;

/**
 * Standard read-only pair object.
 *
 * @author Blizzard Finnegan
 * @version 1.0.0, 20 Mar. 2023
 */
public class Pair<E,F>
{
    /**
     * The first object in the pair.
     */
    private final E first;

    /**
     * The second object in the pair.
     */
    private final F second;

    /**
     * Default constructor.
     */
    public Pair(E first, F second)
    {
        this.first = first;
        this.second = second;
    }

    /**
     * Getter for the first value.
     */
    public E first() { return first; }
    
    /**
     * Getter for the second value.
     */
    public F second() { return second; }
}
